# All files / src/parsers inputProp.js

100% Statements 1/1
100% Branches 0/0
100% Functions 1/1
100% Lines 1/1

Press n or j to go to the next uncovered block, b, p or k for the previous block.

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12

    180x

     // @flow

    import P from 'parsimmon'
    import type { InputPropNodeType } from '../types'

    export default P.regexp(/\.[$A-Z_][0-9A-Z_$]*/i)
      .map((value: string): InputPropNodeType => ({
        name: 'inputProp',
        value
      }))
      .desc('inputProp')